---
developer: "false"
ci_repo_url: https://gitlab.com/redhat/edge/ci-cd/pipelines-as-code.git
gitlab_project: redhat/edge/ci-cd/pipelines-as-code
ssl_verify: "true"
stream: upstream
product_build_name: AutoSD-9
product_build_prefix: autosd9
os_prefix: cs
os_version: "9"

tf_os_options: osname=\"centos\" uefi_vendor=\"centos\"
tf_distro_name: CentOS Stream release 9
tf_format: img

aws_region: eu-west-1
aws_tf_region: us-east-2

# yamllint disable-line rule:line-length
aws_tf_account_id: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['aws_tf_account_id'] }}"

# yamllint disable-line rule:line-length
ocp_ns: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ocp_ns'] }}"
# yamllint disable-line rule:line-length
ocp_host: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ocp_host'] }}"
# yamllint disable-line rule:line-length
ocp_key: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ocp_key'] }}"
# yamllint disable-line rule:line-length
ocp_pipeline_key: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ocp_pipeline_key'] }}"

# yamllint disable-line rule:line-length
gitlab_token: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['gitlab_token'] }}"
# yamllint disable-line rule:line-length
gitlab_key: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['gitlab_key'] }}"
# yamllint disable-line rule:line-length
gitlab_host_url: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['gitlab_host_url'] }}"

# yamllint disable-line rule:line-length
hook_url: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['hook_url'] }}"
# yamllint disable-line rule:line-length
ca_cert: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ca_cert'] }}"

# yamllint disable-line rule:line-length
ssh_private_key: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ssh_private_key'] }}"
# yamllint disable-line rule:line-length
repo_mirrors_urls: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['repo_mirrors_urls'] }}"
# yamllint disable-line rule:line-length
koji_mirrors_urls: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['koji_mirrors_urls'] }}"

# yamllint disable-line rule:line-length
tf_api_key: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['tf_api_key'] }}"
# yamllint disable-line rule:line-length
tf_ssh_key: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['tf_ssh_key'] }}"
# yamllint disable-line rule:line-length
qe_ssh_key: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['qe_ssh_key'] }}"
# yamllint disable-line rule:line-length
ps_ssh_key: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ps_ssh_key'] }}"
# yamllint disable-line rule:line-length
tf_compose: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['tf_compose'] }}"

# yamllint disable-line rule:line-length
ci_revision: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ci_revision'] }}"
# yamllint disable-line rule:line-length
ci_repos_endpoint: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ci_repos_endpoint'] }}"
# yamllint disable-line rule:line-length
ci_images_endpoint: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ci_images_endpoint'] }}"
# yamllint disable-line rule:line-length
ci_logs_endpoint: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['ci_logs_endpoint'] }}"

# yamllint disable-line rule:line-length
product_repos_endpoint: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['product_repos_endpoint'] }}"
# yamllint disable-line rule:line-length
product_images_endpoint: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['product_images_endpoint'] }}"
# yamllint disable-line rule:line-length
product_logs_endpoint: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['product_logs_endpoint'] }}"
# yamllint disable-line rule:line-length
downstream_compose_url: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['downstream_compose_url'] }}"

# yamllint disable-line rule:line-length
aws_access_key_id: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['aws_access_key_id'] }}"
# yamllint disable-line rule:line-length
aws_secret_access_key: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['aws_secret_access_key'] }}"
# yamllint disable-line rule:line-length
aws_bucket_repos: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['aws_bucket_repos'] }}"
# yamllint disable-line rule:line-length
aws_bucket_images: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['aws_bucket_images'] }}"
# yamllint disable-line rule:line-length
aws_bucket_logs: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['aws_bucket_logs'] }}"
# yamllint disable-line rule:line-length
aws_product_build_bucket_repos: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['aws_product_build_bucket_repos'] }}"
# yamllint disable-line rule:line-length
aws_product_build_bucket_images: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['aws_product_build_bucket_images'] }}"

# yamllint disable-line rule:line-length
nightly_webhook_endpoint: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['nightly_webhook_endpoint'] }}"
# yamllint disable-line rule:line-length
nightly_git_ssh_url: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['nightly_git_ssh_url'] }}"
# yamllint disable-line rule:line-length
nightly_git_http_url: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['nightly_git_http_url'] }}"
# yamllint disable-line rule:line-length
nightly_git_project_id: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['nightly_git_project_id'] }}"

# yamllint disable-line rule:line-length
google_api_token: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['google_api_token'] }}"
# yamllint disable-line rule:line-length
google_api_key: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['google_api_key'] }}"
# yamllint disable-line rule:line-length
fusa_service_gitlab_token: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['fusa_service_gitlab_token'] }}"
# yamllint disable-line rule:line-length
fusa_req_governance_doc_url: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['fusa_req_governance_doc_url'] }}"

# yamllint disable-line rule:line-length
jira_host: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['jira_host'] }}"
# yamllint disable-line rule:line-length
jira_token: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['jira_token'] }}"
# yamllint disable-line rule:line-length
jira_report_issues: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['jira_report_issues'] }}"
# yamllint disable-line rule:line-length
jira_report_traced_issues: "{{ lookup('hashi_vault', 'secret={{ secret_path }} token={{ vault_token }} cacert={{ vault_ca }} url={{ vault_addr }} validate_certs=True')['jira_report_traced_issues'] }}"
